<?php
if(!function_exists('beeteam368_pe_responsive_media_query')){
	function beeteam368_pe_responsive_media_query($className, $properties_name=array(), $desktop='', $small_desktop='', $tablet='', $small_tablet='', $mobile='', $small_mobile='', $returnSingle=false){
		$desktop_width 			= '2560px';
		$small_desktop_width 	= '1440px';
		$tablet_width 			= '1024px';
		$small_tablet_width 	= '800px';
		$mobile_width 			= '767px';
		$small_mobile_width 	= '480px';
		$css_query				= '';
		
		if(isset($className)&&$className!=''&&isset($properties_name)&&is_array($properties_name)&&count($properties_name)>0){
			
			if($returnSingle==true){
				if(isset($desktop)&&$desktop!='') {					
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$desktop.';';
						}
					$css_query.='}';
				}				
				return $css_query;
			}
			
			//Desktop
			if(isset($desktop)&&$desktop!='') {
				$css_query.='@media(max-width:'.$desktop_width.'){';
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$desktop.';';
						}
					$css_query.='}';
				$css_query.='}';
			}
			
			//Small Desktop
			if(isset($small_desktop)&&$small_desktop!='') {
				$css_query.='@media(max-width:'.$small_desktop_width.'){';
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$small_desktop.';';
						}
					$css_query.='}';
				$css_query.='}';
			}
			
			//Tablet
			if(isset($tablet)&&$tablet!='') {
				$css_query.='@media(max-width:'.$tablet_width.'){';
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$tablet.';';
						}
					$css_query.='}';
				$css_query.='}';
			}
			
			//Small Tablet
			if(isset($small_tablet)&&$small_tablet!='') {
				$css_query.='@media(max-width:'.$small_tablet_width.'){';
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$small_tablet.';';
						}
					$css_query.='}';
				$css_query.='}';
			}
			
			//Mobile
			if(isset($mobile)&&$mobile!='') {
				$css_query.='@media(max-width:'.$mobile_width.'){';
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$mobile.';';
						}
					$css_query.='}';
				$css_query.='}';
			}
			
			//Small Mobile
			if(isset($small_mobile)&&$small_mobile!='') {
				$css_query.='@media(max-width:'.$small_mobile_width.'){';
					$css_query.=$className.'{';
						foreach($properties_name as $value) {
							$css_query.=$value.':'.$small_mobile.';';
						}
					$css_query.='}';
				$css_query.='}';
			}
		}
		
		return $css_query;
	}
}

if(!function_exists('beeteam368_pe_animation_builder')){
	function beeteam368_pe_animation_builder($className, $animation_name, $animation_duration='', $animation_timming_function='', $animation_delay='', $animation_iteration_count='', $animation_direction=''){		
		//Build Class
		$classAnimation ='';
		$classAnimation.=$className.'{';
		
		if(isset($animation_name)&&$animation_name!='') {
			$classAnimation.='animation-name:'.$animation_name.';';
			$classAnimation.='-webkit-animation-name:'.$animation_name.';';
		}
		
		if(isset($animation_duration)&&$animation_duration!='') {
			$classAnimation.='animation-duration:'.$animation_duration.';';
			$classAnimation.='-webkit-animation-duration:'.$animation_duration.';';
		}
		
		if(isset($animation_timming_function)&&$animation_timming_function!='') {
			$classAnimation.='animation-timing-function:'.$animation_timming_function.';';
			$classAnimation.='-webkit-animation-timing-function:'.$animation_timming_function.';';
		}
		
		if(isset($animation_delay)&&$animation_delay!='') {
			$classAnimation.='animation-delay:'.$animation_delay.';';
			$classAnimation.='-webkit-animation-delay:'.$animation_delay.';';
		}
		
		if(isset($animation_iteration_count)&&$animation_iteration_count!='') {
			$classAnimation.='animation-iteration-count:'.$animation_iteration_count.';';
			$classAnimation.='-webkit-animation-iteration-count:'.$animation_iteration_count.';';
		}
		
		if(isset($animation_direction)&&$animation_direction!='') {
			$classAnimation.='animation-direction:'.$animation_direction.';';
			$classAnimation.='-webkit-animation-direction:'.$animation_direction.';';
		}
		
		$classAnimation.='animation-fill-mode:both;';
		$classAnimation.='-webkit-animation-fill-mode:both;';
		
		$classAnimation.='}';
		
		return $classAnimation;
	}
}