<?php
if(!function_exists('beeteam368_pe_sample_data') && !function_exists('beeteam368_pe_setSampleData')) {
	function beeteam368_pe_sample_data(){
		global $wpdb;
		
		require_once(ABSPATH.'wp-includes/pluggable.php');
		require_once(ABSPATH.'wp-admin/includes/image.php');
		
		$images_list = 	array(
						'0.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-wave-paint.png', 
						'1.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-light-purple.png', 
						'2.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-light-orange.png',
						'3.jpg' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-background.jpg',
						'4.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-lighthouse.png',
						'5.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-board-cloud-2.png',
						'6.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-board-birds.png',
						'7.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/ani-rope.png',
						'8.jpg' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/background-video-html5.jpg',
						'9.jpg' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/background-youtube-video.jpg',						
						'10.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/parallax-engine-0.png',
						'11.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/parallax-engine-1.png',
						'12.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/parallax-engine-2.png',
						'13.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/parallax-engine-3.png',
						'14.png' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/parallax-engine-4.png',
						'15.jpg' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/background-multi-1.jpg',
						'16.jpg' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/background-multi-2.jpg',
						'17.jpg' 	=> BEETEAM368_PE_PLUGIN_PATH.'sample-data/images/background-multi-3.jpg',
						);	
									
		$parent_post_id	= 0;
		
		if(!is_array($images_list) && empty($images_list)){return;}
		$wp_upload_dir = wp_upload_dir();
		
		$image_list_upload = array();
		
		foreach($images_list as $name => $img_url){
			if(isset($img_url)&&$img_url!='' && isset($name)&&$name!='') {
				
				if(!file_exists($img_url)) {return;}
				//echo $img_url;die;
								
				$newFilePath = $wp_upload_dir['path'].'/'.rand(0,9999).time().$name;				
				
				copy($img_url, $newFilePath);
				
				$filetype = wp_check_filetype(basename($newFilePath), null);
				
				$attachment = 	array(
									'guid'           => $wp_upload_dir['url'].'/'.basename($newFilePath), 
									'post_mime_type' => $filetype['type'],
									'post_title'     => preg_replace('/\.[^.]+$/', '', basename($newFilePath)),
									'post_content'   => '',
									'post_status'    => 'inherit'
								);	
															
				$attach_id=wp_insert_attachment($attachment, $newFilePath, $parent_post_id);								
				$attach_data=wp_generate_attachment_metadata($attach_id, $newFilePath);
				wp_update_attachment_metadata($attach_id, $attach_data);	
				
				array_push($image_list_upload, $attach_id);
			}
		}
				
		$post_url = '';
		
		$data_sample_1 = '[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1447164093581{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column][pe_container height="2" background_color="#000000"][pe_item depth="0.10"][pe_item_builder background_position="custom" background_img="'.$image_list_upload[3].'" bs_desktop="cover" cbp_desktop="50% 100%" width_desktop="110%"][/pe_item_builder][/pe_item][pe_item depth="0.10"][pe_item_builder position_settings="custom" animation_name="pephase" animation_duration="14s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" background_img="'.$image_list_upload[2].'" bs_desktop="400px 400px" margin_desktop="-200px -200px" width_desktop="400px" height_desktop="400px" bottom="160px" left="30%"][/pe_item_builder][/pe_item][pe_item depth="0.10"][pe_item_builder position_settings="custom" animation_name="pephase" animation_duration="12s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" background_img="'.$image_list_upload[1].'" bs_desktop="400px 400px" margin_desktop="-200px -200px" width_desktop="400px" height_desktop="400px" bottom="208px" left="45%"][/pe_item_builder][/pe_item][pe_item depth="0.10"][pe_item_builder position_settings="custom" animation_name="pephase" animation_duration="16s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" background_img="'.$image_list_upload[2].'" bs_desktop="400px 400px" margin_desktop="-200px -200px" width_desktop="400px" height_desktop="400px" bottom="176px" left="60%"][/pe_item_builder][/pe_item][pe_item depth="0.15"][pe_item_builder background_position="left top" position_settings="custom" background_img="'.$image_list_upload[7].'" bs_desktop="contain" top="5%" left="-10%" width_desktop="120%" height_desktop="288px"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[5].'" bs_desktop="contain" top="5%" left="-40%" width_desktop="120%" height_desktop="165px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="8% 0 0 0"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[5].'" bs_desktop="contain" top="5%" left="10%" width_desktop="120%" height_desktop="165px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="9.2% 0 0 0"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[6].'" bs_desktop="contain" top="5%" left="30%" width_desktop="120%" height_desktop="165px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="6% 0 0 0"][/pe_item_builder][/pe_item][pe_item depth="0.20"][pe_item_builder position_settings="custom" opacity="0.5" background_img="'.$image_list_upload[14].'" bs_desktop="contain" top="0" bottom="0" left="0" width_desktop="50%" margin_desktop="0 0 0 25%" margin_mobile="0 0 0 10%" width_mobile="80%"][/pe_item_builder][/pe_item][pe_item depth="0.30"][pe_item_builder background_position="left top" position_settings="custom" background_img="'.$image_list_upload[7].'" bs_desktop="contain" top="-1.6%" left="-10%" width_desktop="120%" height_desktop="288px"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[5].'" bs_desktop="contain" top="-1.6%" left="-20%" width_desktop="120%" height_desktop="220px" animation_duration="3.5s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="10% 0 0 0"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[5].'" bs_desktop="contain" top="-1.6%" left="-58%" width_desktop="120%" height_desktop="220px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="4% 0 0 0"][/pe_item_builder][/pe_item][pe_item depth="0.30"][pe_item_builder background_repeat="repeat-x" position_settings="custom" animation_name="pewave" background_img="'.$image_list_upload[0].'" bs_desktop="216px 87px" margin_desktop="0" width_desktop="300%" height_desktop="86px" animation_duration="7.2s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" bottom="180px" left="-100%"][/pe_item_builder][/pe_item][pe_item depth="0.40"][pe_item_builder background_repeat="repeat-x" background_position="left top" position_settings="custom" animation_name="pewave" background_img="'.$image_list_upload[0].'" bs_desktop="288px 115px" margin_desktop="0" width_desktop="300%" height_desktop="115px" animation_duration="6.6s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" bottom="144px" left="-100%"][/pe_item_builder][/pe_item][pe_item depth="0.50"][pe_item_builder background_repeat="repeat-x" background_position="left top" position_settings="custom" animation_name="pewave" background_img="'.$image_list_upload[0].'" bs_desktop="360px 144px" margin_desktop="0" width_desktop="300%" height_desktop="144px" animation_duration="6.2s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" bottom="108px" left="-100%"][/pe_item_builder][/pe_item][pe_item depth="0.60"][pe_item_builder position_settings="custom" animation_name="pelighthouse" background_img="'.$image_list_upload[4].'" bs_desktop="224px 392px" width_desktop="224px" height_desktop="392px" animation_duration="4s" animation_timming_function="cubic-bezier(0.455, 0.03, 0.515, 0.955)" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="alternate" right="20%" bottom="128px"][/pe_item_builder][/pe_item][pe_item depth="0.60"][pe_item_builder background_position="left top" position_settings="custom" background_img="'.$image_list_upload[7].'" bs_desktop="contain" top="-11.6%" left="-10%" width_desktop="120%" height_desktop="288px"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[5].'" bs_desktop="contain" top="-11.6%" left="-10%" width_desktop="120%" height_desktop="288px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="10%"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[5].'" bs_desktop="contain" top="-11.6%" left="15%" width_desktop="120%" height_desktop="200px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="7.5%"][/pe_item_builder][pe_item_builder background_position="center top" position_settings="custom" animation_name="peswing" background_img="'.$image_list_upload[6].'" bs_desktop="contain" top="-11.6%" left="-50%" width_desktop="120%" height_desktop="288px" animation_duration="3s" animation_timming_function="cubic-bezier(0.455,0.03,0.515,0.955)" animation_iteration_count="infinite" animation_direction="alternate" transform_origin="top" margin_desktop="7.4%"][/pe_item_builder][/pe_item][pe_item depth="0.60"][pe_item_builder background_repeat="repeat-x" background_position="left top" position_settings="custom" animation_name="pewave" background_img="'.$image_list_upload[0].'" bs_desktop="432px 173px" margin_desktop="0" width_desktop="300%" height_desktop="173px" animation_duration="5.8s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" bottom="72px" left="-100%"][/pe_item_builder][/pe_item][pe_item depth="0.80"][pe_item_builder background_repeat="repeat-x" background_position="left top" position_settings="custom" animation_name="pewave" background_img="'.$image_list_upload[0].'" bs_desktop="576px 230px" margin_desktop="0" width_desktop="300%" height_desktop="230px" animation_duration="4.8s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal" bottom="0" left="-100%"][/pe_item_builder][/pe_item][pe_item depth="1.00"][pe_item_builder background_repeat="repeat-x" background_position="left top" position_settings="custom" bottom="-260px" left="-100%" width_desktop="300%" height_desktop="288px" background_color="#0a0a0a"][/pe_item_builder][pe_item_builder background_repeat="repeat-x" background_position="left top" position_settings="custom" animation_name="pewave" background_img="'.$image_list_upload[0].'" bs_desktop="720px 288px" bottom="-72px" left="-100%" width_desktop="300%" height_desktop="288px" animation_duration="4s" animation_timming_function="linear" animation_delay="0.1s" animation_iteration_count="infinite" animation_direction="normal"][/pe_item_builder][/pe_item][/pe_container][/vc_column][/vc_row]';
		
		$page_name_1 = esc_html__('Beeteam368 - Parallax Engine - Animation', 'Parallax-Engine-VC');
				
		$post_sample_1 = array(
			'post_content'   => $data_sample_1,
			'post_name' 	 => sanitize_title($page_name_1.' - '.rand(0,9999).time()),
			'post_title'     => $page_name_1,
			'post_status'    => 'publish',
			'post_type'      => 'page'
		);
		$post_id_1 = wp_insert_post($post_sample_1, false);		
		$post_url.='<a href="'.get_permalink($post_id_1).'" target="_blank">'.$page_name_1.'</a>';
		
		$data_sample_2 = '[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1447164116964{margin-top: 0px !important;margin-bottom: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column][pe_container height="1" content_position="2" height_desktop="100vh" height_small_desktop="100vh" height_tablet="100vh" height_small_tablet="500px" height_mobile="100vh" height_small_mobile="400px"][pe_item depth="0.3"][pe_item_builder bg_video_options="2" background_color="#000000" background_img="'.$image_list_upload[8].'" bs_desktop="cover" mp4="http://static.videezy.com/system/resources/previews/000/000/078/original/Dewdrops.mp4" ogv="http://static.videezy.com/system/resources/preview2s/000/000/078/original/Dewdrops.ogv" top="-4%" right="-4%" bottom="-4%" left="-4%"][/pe_item_builder][pe_item_builder background_color="rgba(0,0,0,0.3)" z_index="1"][/pe_item_builder][/pe_item][pe_item depth="0.6"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[10].'" bs_desktop="contain" top="0" left="0" right="auto" bottom="40%" margin_desktop="5%" width_desktop="40%" opacity="0.15"][/pe_item_builder][/pe_item][pe_item depth="0.5"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[12].'" bs_desktop="contain" top="30%" left="auto" right="10%" bottom="0" margin_desktop="0 10% 0 0" width_desktop="40%" opacity="0.3"][/pe_item_builder][/pe_item][pe_item depth="0.7"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[11].'" bs_desktop="contain" top="45%" left="15%" right="auto" bottom="0" margin_desktop="0 10% 0 0" width_desktop="30%" opacity="0.8"][/pe_item_builder][/pe_item][pe_item depth="0.4"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[13].'" bs_desktop="contain" top="0" left="0" right="0" bottom="0" opacity="0.1"][/pe_item_builder][/pe_item][pe_item depth="1.00"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[14].'" bs_desktop="contain" top="0" left="0" right="auto" bottom="0" margin_desktop="0 0 0 20%" width_desktop="60%"][/pe_item_builder][/pe_item][/pe_container][/vc_column][/vc_row]';
		
		$page_name_2 = esc_html__('Beeteam368 - Parallax Engine - HTML5 Video Background', 'Parallax-Engine-VC');
		
		$post_sample_2 = array(
			'post_content'   => $data_sample_2,
			'post_name' 	 => sanitize_title($page_name_2.' - '.rand(0,9999).time()),
			'post_title'     => $page_name_2,
			'post_status'    => 'publish',
			'post_type'      => 'page'
		);
		$post_id_2 = wp_insert_post($post_sample_2, false);		
		$post_url.='<a href="'.get_permalink($post_id_2).'" target="_blank">'.$page_name_2.'</a>';
		
		$data_sample_3 = '[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1447164145279{margin-top: 0px !important;margin-bottom: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column][pe_container height="1" content_position="2" background_color="#f9f9f9" height_desktop="100vh" height_small_desktop="100vh" height_tablet="100vh" height_small_tablet="500px" height_mobile="100vh" height_small_mobile="400px"][pe_item depth="0.35"][pe_item_builder bg_video_options="1" background_color="#666666" bs_desktop="cover" youtube_id="kcihcYEOeic" background_img="'.$image_list_upload[9].'" start="10"][/pe_item_builder][pe_item_builder background_color="rgba(0,0,0,0.6)" z_index="1"][/pe_item_builder][/pe_item][pe_item depth="0.6"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[10].'" bs_desktop="contain" top="0" left="0" right="auto" bottom="40%" margin_desktop="5%" width_desktop="40%" opacity="0.15"][/pe_item_builder][/pe_item][pe_item depth="0.5"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[12].'" bs_desktop="contain" top="30%" left="auto" right="10%" bottom="0" margin_desktop="0 10% 0 0" width_desktop="40%" opacity="0.3"][/pe_item_builder][/pe_item][pe_item depth="0.7"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[11].'" bs_desktop="contain" top="45%" left="15%" right="auto" bottom="0" margin_desktop="0 10% 0 0" width_desktop="30%" opacity="0.8"][/pe_item_builder][/pe_item][pe_item depth="0.4"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[13].'" bs_desktop="contain" top="0" left="0" right="0" bottom="0" opacity="0.1"][/pe_item_builder][/pe_item][pe_item depth="1.00"][pe_item_builder position_settings="custom" background_img="'.$image_list_upload[14].'" bs_desktop="contain" top="0" left="0" right="auto" bottom="0" margin_desktop="0 0 0 20%" width_desktop="60%"][/pe_item_builder][/pe_item][/pe_container][/vc_column][/vc_row]';
		
		$page_name_3 = esc_html__('Beeteam368 - Parallax Engine - Youtube Background', 'Parallax-Engine-VC');
		
		$post_sample_3 = array(
			'post_content'   => $data_sample_3,
			'post_name' 	 => sanitize_title($page_name_3.' - '.rand(0,9999).time()),
			'post_title'     => $page_name_3,
			'post_status'    => 'publish',
			'post_type'      => 'page'
		);
		$post_id_3 = wp_insert_post($post_sample_3, false);		
		$post_url.='<a href="'.get_permalink($post_id_3).'" target="_blank">'.$page_name_3.'</a>';
		
		$data_sample_4 = '[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1447519407048{margin: 0px !important;border-width: 0px !important;padding: 0px !important;}"][vc_column][pe_container height="1" content_position="1" height_desktop="100vh" height_small_desktop="100vh" height_tablet="100vh" height_small_tablet="500px" height_mobile="100vh" height_small_mobile="400px" background_color="#000000"][pe_item depth="0.2"][pe_item_builder bg_video_options="2" position_settings="custom" mp4="http://static.videezy.com/system/resources/previews/000/000/729/original/MVI_1272.mp4" webm="http://static.videezy.com/system/resources/preview3s/000/000/729/original/MVI_1272.webm" ogv="http://static.videezy.com/system/resources/preview2s/000/000/729/original/MVI_1272.ogv" top="-3%" right="-3%" bottom="-3%" left="-3%" background_img="'.$image_list_upload[15].'"][/pe_item_builder][/pe_item][pe_item depth="0.45"][pe_item_builder bg_video_options="2" position_settings="custom" mp4="http://static.videezy.com/system/resources/previews/000/000/732/original/MVI_1482.mp4" ogv="http://static.videezy.com/system/resources/preview2s/000/000/732/original/MVI_1482.ogv" top="15%" right="15%" bottom="15%" left="15%" background_img="'.$image_list_upload[16].'"][/pe_item_builder][/pe_item][pe_item depth="0.65"][pe_item_builder position_settings="custom" animation_name="swing" background_img="'.$image_list_upload[11].'" bs_desktop="contain" top="0" right="20%" bottom="0" left="20%" animation_duration="4s" animation_timming_function="ease-in-out" animation_iteration_count="infinite" animation_direction="alternate"][/pe_item_builder][/pe_item][pe_item depth="0.75"][pe_item_builder bg_video_options="2" position_settings="custom" mp4="http://static.videezy.com/system/resources/previews/000/002/196/original/ferry-ride-timelapse-hd-stock-video.mp4" ogv="http://static.videezy.com/system/resources/preview2s/000/002/196/original/ferry-ride-timelapse-hd-stock-video.ogv" top="30%" right="30%" bottom="30%" left="30%" webm="http://static.videezy.com/system/resources/preview3s/000/002/196/original/ferry-ride-timelapse-hd-stock-video.webm" background_img="'.$image_list_upload[17].'"][/pe_item_builder][/pe_item][pe_item depth="0.95" z_index="2"][pe_item_builder position_settings="custom" animation_name="rubberBand" background_img="'.$image_list_upload[12].'" bs_desktop="contain" top="0" right="35%" bottom="0" left="35%" animation_duration="4s" animation_timming_function="ease-in-out" animation_iteration_count="infinite" animation_direction="alternate"][/pe_item_builder][/pe_item][/pe_container][/vc_column][/vc_row]';
		
		$page_name_4 = esc_html__('Beeteam368 - Parallax Engine - HTML5 Video Background - With Multi Layers Video', 'Parallax-Engine-VC');
		
		$post_sample_4 = array(
			'post_content'   => $data_sample_4,
			'post_name' 	 => sanitize_title($page_name_4.' - '.rand(0,9999).time()),
			'post_title'     => $page_name_4,
			'post_status'    => 'publish',
			'post_type'      => 'page'
		);
		$post_id_4 = wp_insert_post($post_sample_4, false);		
		$post_url.='<a href="'.get_permalink($post_id_4).'" target="_blank">'.$page_name_4.'</a>';
		
		echo $post_url;
		
		die;
	}
	
	function beeteam368_pe_setSampleData(){
		if(is_admin() && isset($_POST['addsample']) && $_POST['addsample']=='yes'){
			add_action('wp_ajax_pe_bete_setupsampledata', 'beeteam368_pe_sample_data');
			add_action('wp_ajax_nopriv_pe_bete_setupsampledata', 'beeteam368_pe_sample_data');	
		}
	}
		
	add_action('admin_init', 'beeteam368_pe_setSampleData');
}